<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Login</title>
        <meta charset="UTF-8"/>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    </head>
    <body>
        <div class="container pt-3">
            <h1>Login aaaa</h1>
            <form method="POST" th:action="@{/login}" th:object="${user}">
                <div class="form-group">
                    <p>
                        <!--El name i id de el nom d'usuari ha de ser username perquè Spring Security el reconegui com a tal-->
                        <label for="username">Usuari:</label>
                        <input type="text" name="username" id="username" class="form-control"/>
                    <p/>
                </div>
                <div class="form-group"> 
                    <p>
                        <!--El name i id de la contrasenya ha de ser password perquè Spring Security el reconegui com a tal-->
                        <label for="password">Contrasenya:</label>
                        <input type="password" name="password" class="form-control" id="password"/>
                    <p/>
                </div>
                <div class="form-group">
                    <p>
                        <a th:href="@{/registre}" class="btn btn-primary">Registrate</a>
                    </p>
                </div>
                <div th:if="${param.error}"><p class="alert alert-danger">[[${session.SPRING_SECURITY_LAST_EXCEPTION.message}]]</p></div>
                <button type="submit" class="btn btn-success">Login</button>
            </form>
        </div>
    </body>
</html>
